import request from '@/utils/request'

export function addOrUpdateSubjectVisit(param) {
  return request({
    url: `/Inspection/subjectVisit/addOrUpdateSV`,
    method: 'post',
    data: param
  })
}

export function deleteSubjectVisit(param) {
  return request({
    url: `/Inspection/subjectVisit/deleteSV`,
    method: 'post',
    data: param
  })
}

export function deleteStudyList(param) {
  return request({
    url: `/Inspection/QCOperation/deleteStudyList`,
    method: 'post',
    data: param
  })
}

export function updateSubjectAndSVInfo(param) {
  return request({
    url: `/Inspection/QCOperation/updateSubjectAndSVInfo`,
    method: 'post',
    data: param
  })
}

export function addOrUpdateNoneDicomStudy(param) {
  return request({
    url: `/Inspection/noneDicomStudy/addOrUpdateNoneDicomStudy`,
    method: 'post',
    data: param
  })
}

export function deleteNoneDicomStudy(param) {
  return request({
    url: `/Inspection/noneDicom/DeleteNoneDicomStudy`,
    method: 'post',
    data: param
  })
}

export function addOrUpdatePreviousHistory(param) {
  return request({
    url: `/Inspection/clinicalData/AddOrUpdatePreviousHistory`,
    method: 'post',
    data: param
  })
}

export function deletePreviousHistory(param) {
  return request({
    url: `/Inspection/clinicalData/DeletePreviousHistory`,
    method: 'post',
    data: param
  })
}

export function addOrUpdatePreviousSurgery(param) {
  return request({
    url: `/Inspection/clinicalData/AddOrUpdatePreviousSurgery`,
    method: 'post',
    data: param
  })
}

export function deletePreviousSurgery(param) {
  return request({
    url: `/Inspection/clinicalData/DeletePreviousSurgery`,
    method: 'post',
    data: param
  })
}

export function addOrUpdatePreviousOther(param) {
  return request({
    url: `/Inspection/clinicalData/AddOrUpdatePreviousOther`,
    method: 'post',
    data: param
  })
}

export function deletePreviousOther(param) {
  return request({
    url: `/Inspection/clinicalData/DeletePreviousOther`,
    method: 'post',
    data: param
  })
}

export function newUploadNoneDicomFile(param) {
  return request({
    url: `/NoneDicomStudy/newUploadNoneDicomFile`,
    method: 'post',
    data: param
  })
}

export function deleteNoneDicomStudyFile(param) {
  return request({
    url: `/Inspection/noneDicom/deleteNoneDicomStudyFile`,
    method: 'post',
    data: param
  })
}

export function cRCRequestToQC(param) {
  return request({
    url: `/Inspection/QCOperation/CRCRequestToQC`,
    method: 'post',
    data: param
  })
}

export function obtainOrCancelQCTask(param) {
  return request({
    url: `/Inspection/QCOperation/ObtainOrCancelQCTask`,
    method: 'post',
    data: param
  })
}

export function addOrUpdateQCQuestionAnswerList(param) {
  return request({
    url: `/Inspection/QCOperation/AddOrUpdateQCQuestionAnswerList`,
    method: 'post',
    data: param
  })
}

export function addOrUpdateQCChallenge(param) {
  return request({
    url: `/Inspection/QCOperation/AddOrUpdateQCChallenge`,
    method: 'post',
    data: param
  })
}

export function addQCChallengeReply(param) {
  return request({
    url: `/Inspection/QCOperation/AddQCChallengeReply`,
    method: 'post',
    data: param
  })
}

export function closeQCChallenge(param) {
  return request({
    url: `/Inspection/QCOperation/CloseQCChallenge`,
    method: 'post',
    data: param
  })
}

export function seleteQCChallenge(param) {
  return request({
    url: `/Inspection/QCOperation/DeleteQCChallenge`,
    method: 'post',
    data: param
  })
}

export function sddCheckChallengeReply(param) {
  return request({
    url: `/Inspection/QCOperation/AddCheckChallengeReply`,
    method: 'post',
    data: param
  })
}

export function closeCheckChallenge(param) {
  return request({
    url: `/Inspection/QCOperation/CloseCheckChallenge`,
    method: 'post',
    data: param
  })
}

export function setCheckPass(param) {
  return request({
    url: `/Inspection/QCOperation/SetCheckPass`,
    method: 'post',
    data: param
  })
}

export function cRCRequstCheckBack(param) {
  return request({
    url: `/Inspection/QCOperation/CRCRequstCheckBack`,
    method: 'post',
    data: param
  })
}

export function checkBack(param) {
  return request({
    url: `/Inspection/QCOperation/CheckBack`,
    method: 'post',
    data: param
  })
}

export function cRCRequestReUpload(param) {
  return request({
    url: `/Inspection/QCOperation/CRCRequestReUpload`,
    method: 'post',
    data: param
  })
}

export function setNeedReupload(param) {
  return request({
    url: `/Inspection/QCOperation/SetNeedReupload`,
    method: 'post',
    data: param
  })
}

export function setReuploadFinished(param) {
  return request({
    url: `/Inspection/QCOperation/SetReuploadFinished`,
    method: 'post',
    data: param
  })
}

export function updateModality(param) {
  return request({
    url: `/Inspection/QCOperation/UpdateModality`,
    method: 'post',
    data: param
  })
}

export function qCPassedOrFailed(param) {
  return request({
    url: `/Inspection/QCOperation/QCPassedOrFailed`,
    method: 'post',
    data: param
  })
}

export function setSeriesState(param) {
  return request({
    url: `/Inspection/QCOperation/SetSeriesState`,
    method: 'post',
    data: param
  })
}

export function setSubjectVisitUrgent(param) {
  return request({
    url: `/Inspection/subjectVisit/SetSubjectVisitUrgent`,
    method: 'post',
    data: param
  })
}

export function uploadVisitCheckExcel(param) {
  return request({
    url: `/Inspection/QCOperation/UploadVisitCheckExcel`,
    method: 'post',
    data: param
  })
}

export function addCheckChallengeReply(param) {
  return request({
    url: `/Inspection/QCOperation/AddCheckChallengeReply`,
    method: 'post',
    data: param
  })
}

export function forwardSVDicomImage(param) {
  return request({
    url: `/Inspection/QCOperation/ForwardSVDicomImage`,
    method: 'post',
    data: param
  })
}

